Get mapping by name

Prev Next
Get
/v1/E2eMapping/byName/{mappingName}

Returns the entity mapping referenced by its unique name, including its definition and metadata.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
mappingName
stringRequired

Unique name of the entity mapping to retrieve. This value is returned in a successful 200 response from the GET List entity mappings request.

ExampleNew Lines Based on Product Cost Changes
Responses
200

Success. Returns the requested entity mapping and its metadata.

404

The entity mapping with the specified name does not exist.